const fs = require('fs');

mp.events.add('playerReady', (player) => {
    player.call('collectBarberData');
});

mp.events.add('saveBarberData', (player, jsonString) => {
    try {
        if (!jsonString) {
            console.error('Данные не переданы клиентом.');
            return;
        }
        const data = JSON.parse(jsonString);
        const fileName = `barberOffsets_${Date.now()}.json`;

        fs.writeFileSync(fileName, JSON.stringify(data, null, 2));
        console.log(`Данные успешно сохранены в файл: ${fileName}`);
    } catch (error) {
        console.error('Ошибка при обработке данных:', error.message);
    }
});
